'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _propTypes = require('prop-types');

var _propTypes2 = _interopRequireDefault(_propTypes);

var _reduxForm = require('redux-form');

var _Forms = require('../../../../components/Forms');

var _Buttons = require('../../../../components/Buttons');

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

var schema = {
  type: 'object',
  required: ['username', 'password'],
  properties: {
    username: { type: 'string' },
    password: { type: 'string' }
  },
  additionalProperties: false
};

var LoginForm = function LoginForm(_ref) {
  var anyTouched = _ref.anyTouched,
      error = _ref.error,
      initialError = _ref.initialError,
      pristine = _ref.pristine,
      submitting = _ref.submitting,
      handleSubmit = _ref.handleSubmit;

  var formError = error || !anyTouched && pristine && initialError || null;

  return _react2.default.createElement(
    'form',
    { onSubmit: handleSubmit },
    _react2.default.createElement(_Forms.FormError, { error: formError }),
    _react2.default.createElement(_Forms.Input, { name: 'username', label: 'Username or E-mail' }),
    _react2.default.createElement(_Forms.Input, { type: 'password', name: 'password', label: 'Password' }),
    _react2.default.createElement(
      _Buttons.Button,
      {
        htmlType: 'submit',
        type: 'primary',
        loading: submitting,
        disabled: submitting
      },
      'Log in'
    )
  );
};

LoginForm.propTypes = {
  anyTouched: _propTypes2.default.bool.isRequired,
  error: _propTypes2.default.string,
  initialError: _propTypes2.default.string,
  pristine: _propTypes2.default.bool.isRequired,
  submitting: _propTypes2.default.bool.isRequired,
  handleSubmit: _propTypes2.default.func.isRequired
};

exports.default = (0, _reduxForm.reduxForm)({
  form: 'loginForm',
  validate: function validate(values) {
    return (0, _Forms.validate)(schema, values);
  }
})(LoginForm);