'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.authBatchMiddleware = undefined;
exports.getUserPermissionsArray = getUserPermissionsArray;
exports.userHasPermission = userHasPermission;
exports.permissionExists = permissionExists;

var _jsCookie = require('js-cookie');

var _jsCookie2 = _interopRequireDefault(_jsCookie);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function getUserPermissionsArray(user) {
  return user.permissions.map(function (permission) {
    return permission.title;
  });
}

function userHasPermission(user, permissionTitle) {
  if (!user || !user.permissions) {
    return false;
  }

  var permissions = getUserPermissionsArray(user);

  return permissions.includes('admin.all') || permissions.includes(permissionTitle);
}

function permissionExists(permissionsArray, permissionTitle) {
  return permissionsArray.includes('admin.all') || permissionsArray.includes(permissionTitle);
}

var authBatchMiddleware = exports.authBatchMiddleware = {
  applyBatchMiddleware: function applyBatchMiddleware(req, next) {
    var token = _jsCookie2.default.get('token');

    if (!req.options.headers) {
      req.options.headers = {};
    }

    req.options.headers.authorization = token ? 'Bearer ' + token : null;

    next();
  }
};